<section class="container animated fadeIn">
  <form [formGroup]="form" (ngSubmit)="submit(form)" novalidate>

    <div class="row wall no-padding-b mb">
      <!-- Name (EN) -->
      <div class="col-lg-6">
        <div class="row form-group" [ngClass]="{'has-error':form.controls['name_en'].invalid && formSubmited}">
          <label class="col-lg-4 form-label-inline" for="name_en">{{ 'discount.name_en' | translate }}:</label>
          <div class="col-lg-8">
            <input id="name_en" dir="ltr" class="form-control" type="text" name="name_en" formControlName="name_en" maxlength="60" placeholder>
            <div class="feedback" *ngIf="form.controls['name_en'].hasError('required') && formSubmited">{{ 'feedback.required' | translate }}</div>
          </div>
        </div>
      </div>

      <!-- Name (FA) -->
      <div class="col-lg-6">
        <div class="row form-group" [ngClass]="{'has-error':form.controls['name_fa'].invalid && formSubmited}">
          <label class="col-lg-4 form-label-inline" for="name_fa">{{ 'discount.name_fa' | translate }}:</label>
          <div class="col-lg-8">
            <input id="name_fa" class="form-control" type="text" name="name_fa" formControlName="name_fa" maxlength="60" placeholder>
            <div class="feedback" *ngIf="form.controls['name_fa'].hasError('required') && formSubmited">{{ 'feedback.required' | translate }}</div>
          </div>
        </div>
      </div>

      <!-- Duration -->
      <div class="col-lg-6">
        <div class="row form-group" [ngClass]="{'has-error':form.controls['discount_duration'].invalid && formSubmited}">
          <label class="col-lg-4 form-label-inline" for="discount_duration">{{ 'discount.validity duration' | translate }}:</label>
          <div class="col-lg-8">
            <div class="input-group">
              <input id="discount_duration" class="form-control" type="number" name="discount_duration" formControlName="discount_duration" required placeholder>
              <div class="input-group-addon" title="{{'tax' | translate }}">
                <div>ساعت</div>
              </div>
            </div>
            <div class="feedback" *ngIf="form.controls['discount_duration'].hasError('required') && formSubmited">{{ 'feedback.required' | translate }}</div>
          </div>
        </div>
      </div>

      <!-- Discount -->
      <div class="col-lg-6">
        <div class="row form-group" [ngClass]="{'has-error':form.controls['discount_percent'].invalid && formSubmited}">
          <label class="col-lg-4 form-label-inline" for="discount_percent">{{ 'discount.discount_percent' | translate }}:</label>
          <div class="col-lg-8">
            <div class="input-group">
              <input id="discount_percent" class="form-control" type="number" name="discount_percent" formControlName="discount_percent" placeholder>
              <div class="input-group-addon">
                <div>{{ 'percent' | translate }}</div>
              </div>
            </div>
            <div class="feedback" *ngIf="form.controls['discount_percent'].hasError('required') && formSubmited">{{ 'feedback.required' | translate }}</div>
          </div>
        </div>
      </div>

      <div class="w-100"></div>
    </div>
    <div class="row wall mb">
      <div class="col">
        <button class="btn-primary mx-2" type="submit" [disabled]="form.invalid && formSubmited">{{ 'upload.create.publish' | translate }}</button>
        <button class="btn-outline" type="button" routerLink="/panel/discount" >{{ 'operation.back' | translate }}</button>
      </div>
    </div>

  </form>
</section>